---
title: Using PModules 
#tags:
#keywords:
last_updated: 20 June 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/using-modules.html
---

## Environment Modules

On top of the operating system stack we provide different software using the PSI developed PModule system. 

PModules is the official supported way and each package is deployed by a specific expert. Usually, in PModules
software which is used by many people will be found.

If you miss any package/versions or a software with a specific missing feature, contact us. We will study if is feasible or not to install it.

### Basic commands:

```bash
module avail                                            # to see the list of available software packages provided via pmodules
module load <package>/<version>                         # to load specific software package with a specific version
module search <string>                                  # to search for a specific software package and its dependencies.
module load <package>/<version> ... <package>/<version> # load the specific version of hdf5, compiled with specific version of gcc and openmpi
module use unstable                                     # to get access to a set of packages not fully tested by the community
module list                                             # to list which software is loaded in your environment
```

## When to request for new PModules packages

#### Missing software

If you don't find a specific software and you know from other people interesing on it, it can be installed in PModules. Please contact us
and we will try to help with that. Deploying new software in PModules may take few days.

Usually installation of new software are possible as long as few users will use it. If you are insterested in to maintain this software,
please let us know.

#### Missing version

If the existing PModules versions for a specific package do not fit to your needs, is possible to ask for a new version.

Usually installation of newer versions will be supported, as long as few users will use it. Installation of intermediate versions can
be supported if this is strictly justified.
